Subject: bug#1644: 23.0.60; Emacs client loops

From: "Lennart Borgman" <[email-masked]>
Date: Wed, 24 Dec 2008 12:02:44 +0100

On Wed, Dec 24, 2008 at 11:59 AM, Jason Rumney <[email-masked]> wrote:
> Lennart Borgman wrote:
>>
>> I am not sure yet, but I believe this might have been a problem with
>> the Firefox add-on.
>
> This is likely, given that emacsclient does not create any threads, and
> MessageBox (the windows api call used for displaying messages when not
> running at the command line) does not return until you dismiss the dialog.
> So if multiple emacsclient error dialogs are appearing on the screen at once
> as your report described, then there must be multiple instances running.

Yes, I can confirm that this was the case. I was able to see that in
some further tests (where my pc was not completely blocked).